Subject: Re: [BEHAVE] I-D Action:draft-bagnulo-behave-nat64-01.txt

From: Brian E Carpenter <[email-masked]>
Date: Mon, 29 Sep 2008 14:56:09 +1300

> 5.1.  About the Prefix used to map the IPv4 address space into IPv6
...
> 
>    the different options for Pref64::/96 are the following
> 
>       Local: A locally assigned prefix out of the address block of the
>       site running the NAT64 box

Unless I've  missed it, you don't mention that this means that all the
synthetic addresses would be automatically included in the site's
main IPv6 prefix, and therefore globally reachable from native IPv6.
In scenario 4.2, that's fine. In scenario 4.1, you'd probably want to
filter traffic to Pref64::/96 arriving from the public IPv6 side,
to avoid offering a free global relay.

>       Well-known: A well know prefix that is reserved for this purpose.

Similarly, you'd need to be very carefully with routing advertisements
for this prefix (rather like the problem of advertising the 6to4 anycast
prefix today).

    Brian
_______________________________________________
Behave mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/behave